Subject: Re: [PATCH] leds: pm8058: Make ledtype pointer sized type

From: Pavel Machek <[email-masked]>
Date: Fri, 1 Dec 2017 01:28:58 +0100

Hi!

> > > of_device_get_match_data will return PM8058_LED_TYPE_*
> > > which clearly is a led type identifier.
> > > 
> > > Thus unsigned long looks reasonable.  
> > 
> > Hmm. Ok. So u32 would actually make even more sense there (because
> > PM8058_LED_TYPE_* does not really need to be 64-bit), but it would
> > cause a warning.
> > 
> > I don't like this. This fix actually makes code waste memory and is
> > uglier.
> > 
> > ...but we get a warning fix. So I don't like the patch, but it is an
> > improvement...
> 
> I *think* you can get away with (u32)(unsigned long)ptr ...

Yes, that should work. It would actually be my preferred solution.

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html